#include <vector>
#include <iostream>
#include <cmath>

using namespace std;

double Norm(const vector<double>& x) {
  double s = 0;
  for (const double& c: x)
    s += c*c;
  return sqrt(s);
}

int main() {
  vector<double> a{5, 1};
  cout << "Norm(a) = " << Norm(a) << endl;
  return 0;
}
